## swift 1.4.5

=== debian/changelog ===
swift (1.4.5-1) unstable; urgency=low

  * New upstream release.

 -- Ghe Rivero <ghe@debian.org>  Mon, 09 Jan 2012 16:18:17 +0100

swift (1.4.4-2) unstable; urgency=low

  * Do not install test (Closes: #649908)

 -- Julien Danjou <acid@debian.org>  Mon, 19 Dec 2011 14:02:51 +0100

=== debian/control ===
Source: swift
Section: net
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 python-all (>=2.6.6-3~),
 python-setuptools,
 python-webob,
 python-simplejson,
 python-xattr,
 python-netifaces,
 python-greenlet (>= 0.3.1),
 python-eventlet (>= 0.9.8),
 python-nose,
 python-pastedeploy,
 python-sphinx (>= 1.0)
Standards-Version: 3.9.2
X-Python-Version: >= 2.6
Homepage: http://launchpad.net/swift
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/swift.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/swift.git

Package: python-swift
Architecture: all
Section: python
Depends: adduser, ${python:Depends}, ${misc:Depends},
 python-openssl,
 python-setuptools,
 python-pastedeploy,
 python-webob (>= 0.9.7.1~hg20100111-1~racklabs1),
 python-simplejson,
 python-xattr,
 python-netifaces,
 python-greenlet (>= 0.3.1),
 python-eventlet (>= 0.9.8),
Description: OpenStack Object Storage - libraries
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the Python libraries that actually implement
 everything.

Package: swift
Architecture: all
Depends: python-swift (=${binary:Version}), ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: OpenStack Object Storage - common files
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides some core binaries and clients to control swift.

Package: swift-proxy
Architecture: all
Depends: lsb-base (>= 3.0-6), swift, python-swift (=${binary:Version}), ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: OpenStack Object Storage - proxy server
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides a proxy server on which clients can connect to store
 object into Swift.

Package: swift-object
Architecture: all
Depends: lsb-base (>= 3.0-6), swift, python-swift (=${binary:Version}), rsync, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: OpenStack Object Storage - object server
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift object server.

Package: swift-container
Architecture: all
Depends: lsb-base (>= 3.0-6), swift, python-swift (=${binary:Version}), rsync, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: OpenStack Object Storage - container server
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift container server.

Package: swift-account
Architecture: all
Depends: lsb-base (>= 3.0-6), swift, python-swift (=${binary:Version}), rsync, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: OpenStack Object Storage - account server
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift account server.

Package: swift-doc
Architecture: all
Section: doc
Depends: libjs-jquery, ${misc:Depends}, libjs-underscore
Description: OpenStack Object Storage - documentation
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the Sphinx generated documentation for Swift.

## swift 1.4.8

=== debian/changelog ===
swift (1.4.8-2+deb7u1) wheezy-security; urgency=high

  * CVE-2013-2161: Applied fix for unchecked user input in Swift XML responses
    (Closes: #712202).
  * CVE-2013-4155: Backported fix for Denial of Service using superfluous
    object tombstones (Closes: #719008).
  * Updated debian/gbp.conf to track Wheezy fixes.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Jul 2013 13:54:33 +0800

swift (1.4.8-2) unstable; urgency=high

  * CVE-2012-4406: Do not use pickle for serialization in memcache, but JSON
  (Closes: #686812).

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Sep 2012 08:40:18 +0000

swift (1.4.8-1) unstable; urgency=low

  * New upstream release.

 -- Ghe Rivero <ghe.rivero@stackops.com>  Fri, 23 Mar 2012 08:09:54 +0100

swift (1.4.6-1) unstable; urgency=low

  * New upstream release

 -- Ghe Rivero <ghe.rivero@stackops.com>  Mon, 13 Feb 2012 11:28:38 +0100

swift (1.4.4+git145-g89ef1f4-1) experimental; urgency=low

  * New snapshot release.

 -- Ghe Rivero <ghe@debian.org>  Wed, 04 Jan 2012 09:56:14 +0100

swift (1.4.4+git135-g913cfcf-1) experimental; urgency=low

  * New snapshot release.

 -- Ghe Rivero <ghe@debian.org>  Wed, 28 Dec 2011 08:35:37 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Julien Danjou <acid@debian.org>,
            Thomas Goirand <zigo@debian.org>,
-           Ghe Rivero <ghe@debian.org>
+           Ghe Rivero <ghe.rivero@stackops.com>
 Build-Depends: debhelper (>= 7.0.50~),
  python-all (>=2.6.6-3~),
  python-setuptools,
@@ -17,7 +17,7 @@
  python-nose,
  python-pastedeploy,
  python-sphinx (>= 1.0)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 X-Python-Version: >= 2.6
 Homepage: http://launchpad.net/swift
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/swift.git;a=summary

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

%:
	dh $@ --with python2

# clean sphinx build output
override_dh_clean:
	dh_clean
	rm -rf swift.egg-info
	rm -rf doc/build/*

# build with sphinx documentation
override_dh_auto_build:
	dh_auto_build
	mkdir -p doc/build
	python setup.py build_sphinx

override_dh_install:
	dh_install
	install -D -m 0640 $(CURDIR)/debian/account-server.conf $(CURDIR)/debian/swift-account/etc/swift/account-server.conf
	install -D -m 0640 $(CURDIR)/debian/container-server.conf $(CURDIR)/debian/swift-container/etc/swift/container-server.conf
	install -D -m 0640 $(CURDIR)/debian/object-server.conf $(CURDIR)/debian/swift-object/etc/swift/object-server.conf
	rm -rf debian/python-swift/usr/lib/python*/dist-packages/test

override_dh_installinit:
	dh_installinit --no-start
	dh_installinit --no-start -pswift-container --init-script=swift-container-replicator
	dh_installinit --no-start -pswift-account --init-script=swift-account-replicator
	dh_installinit --no-start -pswift-account --init-script=swift-account-reaper
	dh_installinit --no-start -pswift-object --init-script=swift-object-auditor
	dh_installinit --no-start -pswift-container --init-script=swift-container-auditor
	dh_installinit --no-start -pswift-account --init-script=swift-account-auditor
	dh_installinit --no-start -pswift-object --init-script=swift-object-updater
	dh_installinit --no-start -pswift-object --init-script=swift-object-replicator
	dh_installinit --no-start -pswift-container --init-script=swift-container-updater

=== debian/watch ===
version=3
http://launchpad.net/swift/+download http://launchpad.net/swift/.*/.*/swift-(.*)\.tar\.gz
http://swift.openstack.org/tarballs/ swift-(.*).tar.gz

## swift 1.7.4

=== debian/changelog ===
swift (1.7.4-0ubuntu2) quantal; urgency=low

  * debian/control: Conflicts/Breaks on swift 1.6.0-ubuntu1 when upgrading 
    from precise, since the swift client has been moved to python-swiftclient.
    (LP: #1061064)

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 11 Oct 2012 09:06:02 -0500

swift (1.7.4-0ubuntu1) quantal; urgency=low

  * New upstream release. 
  * debian/rules: Fail to build the packages if testsuite fails.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 26 Sep 2012 09:19:43 -0500

swift (1.7.2-0ubuntu1) quantal; urgency=low

  * New upstream release, this release fixes a major 
    regression introduced in the last release.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 20 Sep 2012 08:42:59 -0500

swift (1.7.0-0ubuntu1) quantal; urgency=low

  [ Soren Hansen ]
  * Update debian/watch to account for symbolically named tarballs and
    use newer URL.
  * Run unit tests at build time.
  * Fix Launchpad URLs in debian/watch.

  [ Chuck Short ]
  * New upstream release
  * debian/control: Add python-mock as a build dep
  * debian/rules: Dont fail if testsuite fails.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 07 Sep 2012 19:02:36 -0500

swift (1.6.0-0ubuntu1) quantal; urgency=low

  [ Adam Gandelman ]
  * debian/patches/fix-ubuntu-unitteests.patch: Refreshed against tarball
    generated by sdist.
  * debian/control: Add python-swiftclient to Build-Depends.
  * debian/swift.install: Remove swift CLI client, moved to
    python-swiftclient.
  * debian/patches/fix-ubuntu-unittests.patch: Dropped. Similar upstream
    commit ensures logging exceptions are properly handled.
  * debian/rules: *Temporarily* disable test suite.

  [ Chuck Short ]
  * New upstream version.
  * python-swift.dirs: Add /var/cache/swift
  * debian/man/*: Removed used upstream man pages and replaced
    with upstream manpages. (LP: #1006671)

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 07 Aug 2012 09:31:35 -0500

swift (1.5.0-0ubuntu1) quantal; urgency=low

  * New upstream version
  * debian/patches/fix-ubuntu-unittests.patch: Refreshed
  * debian/patches/fix-doc-no-network.patch: Refreshed
  * swift.docs: Add changelog
  * swift.install: Remove missing binaries.
  * debian/control: Bump to version 3.9.3
  * debian/swift.install: Add swift-temp-url and swift-form-signature.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 18 Jun 2012 09:30:05 -0400

swift (1.4.8-0ubuntu2) precise; urgency=low

  * debian/patches/fix-ubuntu-unittests.patch: Refreshed
    to fix testsuite failures.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 12 Apr 2012 12:05:29 -0400

swift (1.4.8-0ubuntu1) precise; urgency=low

  * New upstream release.
  * debian/patches/fix-ubuntu-unittests.patch: Refreshed.
  * debian/patches/fix-doc-no-network.patch: Dont access network when
    trying to build docs.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 10 Apr 2012 09:23:54 -0400

swift (1.4.7-0ubuntu3) precise; urgency=low

  * debian/rules: Make the build fail if the testsuite doesnt pass.
  * debian/patches/fix-ubuntu-unittests.patch: Various fixes to build
    swift in the buildds. (LP: #961871)

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 26 Mar 2012 12:11:25 -0400

swift (1.4.7-0ubuntu2) precise; urgency=low

  * Fixup upstart configurations (LP: #954477):
    - d/rules: Correctly generate ALL upstart configurations when
      building for Ubuntu.
    - d/*.upstart.in: Update upstart config's to use new conf file locations.

 -- James Page <james.page@ubuntu.com>  Thu, 15 Mar 2012 15:34:19 +0000

swift (1.4.7-0ubuntu1) precise; urgency=low

  [ Chuck Short ]
  * New upstream release.

  [ Thierry Carrez (ttx) ]
  * Remove swift-stats-populate, swift-stats-report and stats.conf-sample to
    match Swift 1.4.7 contents

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 09 Mar 2012 13:26:07 -0500

swift (1.4.7~20120302.1721-0ubuntu1) precise; urgency=low

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 02 Mar 2012 13:27:27 -0500

swift (1.4.7~20120224.1690-0ubuntu1) precise; urgency=low

  [ Chuck Short ]
  * New upstream release.

  [ Chmouel Boudjnah ]
  * Add more samples to packages (LP:#667935)

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 24 Feb 2012 09:10:12 -0500

swift (1.4.7~20120210.1686-0ubuntu1) precise; urgency=low

  * New upstream release.
  * debian/control: Add python-paste.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 10 Feb 2012 09:41:51 -0500

swift (1.4.6~20120202.1676-0ubuntu1) precise; urgency=low

  * New upstream version.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 03 Feb 2012 09:35:18 -0500

swift (1.4.6~20120119.1666-0ubuntu2) precise; urgency=low

  * Update swift.install to reflect release.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 26 Jan 2012 09:05:51 -0500

swift (1.4.6~20120119.1666-0ubuntu1) precise; urgency=low

  [Chuck Short]
  * New upstream release.

  [ Daniel T Chen ]
  * debian/control: Fix Vcs entries.
  * debian/swift.install: Add new scripts. Fixes FTBFS.

  [ Marc Cluet ]
  * Changed swift-proxy upstart script to watch /etc/swift/proxy-server.conf
    (LP:#917893)

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 20 Jan 2012 13:20:46 -0500

swift (1.4.6~20120112.1660-0ubuntu1) precise; urgency=low

  [Chuck Short]
  * New upstream release.
  * Merged changes from upstream packaging, thanks to Thierry Carrez.
  * debian/rules:
    + Remove egg-info on clean.

  [Thierry Carrez (ttx)]
  * Added usr/bin/swift-recon[-cron] to swift package.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 09 Jan 2012 11:26:25 -0500

swift (1.4.5~20111202.1634-0ubuntu3) precise; urgency=low

  * debian/swift.manpages: Remove swauth man pages.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 Dec 2011 18:29:35 +0100

swift (1.4.5~20111202.1634-0ubuntu2) precise; urgency=low

  [ Chuck Short ]
  * Drop swauth man pages. (LP: #900888)
  * debian/control:
    - Clean up build depends.
    - Update VCS info to point to the right branches.
  * debian/rules: Run the swift testsuite.
  * debian/python-swift.postinst: Change user's shell to /bin/false.


=== debian/control ===
--- 
+++ 
@@ -1,12 +1,16 @@
 Source: swift
 Section: net
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
-Uploaders: Julien Danjou <acid@debian.org>,
-           Thomas Goirand <zigo@debian.org>,
-           Ghe Rivero <ghe.rivero@stackops.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Soren Hansen <soren@ubuntu.com>
+Uploaders: Monty Taylor <mordred@inaugust.com>,
+ Greg Holt <gholt@rackspace.com>,
+ Jay Payne <letterj@racklabs.com>,
+ Michael Barton <michael.barton@rackspace.com>,
+ Thomas Goirand <zigo@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
- python-all (>=2.6.6-3~),
+ python-all-dev (>= 2.6.6-3~),
+ python-openssl,
  python-setuptools,
  python-webob,
  python-simplejson,
@@ -14,14 +18,17 @@
  python-netifaces,
  python-greenlet (>= 0.3.1),
  python-eventlet (>= 0.9.8),
+ python-mock,
  python-nose,
+ python-paste,
  python-pastedeploy,
- python-sphinx (>= 1.0)
+ python-sphinx (>= 1.0),
+ python-swiftclient
 Standards-Version: 3.9.3
-X-Python-Version: >= 2.6
 Homepage: http://launchpad.net/swift
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/swift.git;a=summary
-Vcs-Git: git://anonscm.debian.org/openstack/swift.git
+Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/swift/essex
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-server-dev/swift/essex
+
 
 Package: python-swift
 Architecture: all
@@ -29,14 +36,16 @@
 Depends: adduser, ${python:Depends}, ${misc:Depends},
  python-openssl,
  python-setuptools,
+ python-paste,
  python-pastedeploy,
  python-webob (>= 0.9.7.1~hg20100111-1~racklabs1),
  python-simplejson,
  python-xattr,
  python-netifaces,
  python-greenlet (>= 0.3.1),
- python-eventlet (>= 0.9.8),
-Description: OpenStack Object Storage - libraries
+ python-eventlet (>= 0.9.8)
+Provides: ${python:Provides}
+Description: distributed virtual object store - Python libraries
  OpenStack Object Storage (code-named Swift) is open source software for
  creating redundant, scalable object storage using clusters of standardized
  servers to store petabytes of accessible data. It is not a file system or
@@ -62,32 +71,37 @@
 Package: swift
 Architecture: all
 Depends: python-swift (=${binary:Version}), ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Description: OpenStack Object Storage - common files
- OpenStack Object Storage (code-named Swift) is open source software for
- creating redundant, scalable object storage using clusters of standardized
- servers to store petabytes of accessible data. It is not a file system or
- real-time data storage system, but rather a long-term storage system for a
- more permanent type of static data that can be retrieved, leveraged, and then
- updated if necessary. Primary examples of data that best fit this type of
- storage model are virtual machine images, photo storage, email storage and
- backup archiving. Having no central "brain" or master point of control
- provides greater scalability, redundancy and permanence.
- .
- Objects are written to multiple hardware devices in the data center, with
- the OpenStack software responsible for ensuring data replication and
- integrity across the cluster. Storage clusters can scale horizontally by
- adding new nodes. Should a node fail, OpenStack works to replicate its
- content from other active nodes. Because OpenStack uses software logic to
- ensure data replication and distribution across different devices,
- inexpensive commodity hard drives and servers can be used in lieu of more
- expensive equipment.
+Provides: ${python:Provides}
+Replaces: swift (<< 1.6.0-0ubuntu1)
+Breaks: swift (<< 1.6.0-0ubuntu1)
+Description: distributed virtual object store - common files
+ OpenStack Object Storage (code-named Swift) is open source software for
+ creating redundant, scalable object storage using clusters of standardized
+ servers to store petabytes of accessible data. It is not a file system or
+ real-time data storage system, but rather a long-term storage system for a
+ more permanent type of static data that can be retrieved, leveraged, and then
+ updated if necessary. Primary examples of data that best fit this type of
+ storage model are virtual machine images, photo storage, email storage and
+ backup archiving. Having no central "brain" or master point of control
+ provides greater scalability, redundancy and permanence.
+ .
+ Objects are written to multiple hardware devices in the data center, with
+ the OpenStack software responsible for ensuring data replication and
+ integrity across the cluster. Storage clusters can scale horizontally by
+ adding new nodes. Should a node fail, OpenStack works to replicate its
+ content from other active nodes. Because OpenStack uses software logic to
+ ensure data replication and distribution across different devices,
+ inexpensive commodity hard drives and servers can be used in lieu of more
+ expensive equipment.
+ .
  .
  This package provides some core binaries and clients to control swift.
 
 Package: swift-proxy
 Architecture: all
-Depends: lsb-base (>= 3.0-6), swift, python-swift (=${binary:Version}), ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Description: OpenStack Object Storage - proxy server
+Depends: python-swift (=${binary:Version}), ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Provides: ${python:Provides}
+Description: distributed virtual object store - proxy server
  OpenStack Object Storage (code-named Swift) is open source software for
  creating redundant, scalable object storage using clusters of standardized
  servers to store petabytes of accessible data. It is not a file system or
@@ -112,8 +126,9 @@
 
 Package: swift-object
 Architecture: all
-Depends: lsb-base (>= 3.0-6), swift, python-swift (=${binary:Version}), rsync, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Description: OpenStack Object Storage - object server
+Depends: python-swift (=${binary:Version}), rsync, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Provides: ${python:Provides}
+Description: distributed virtual object store - object server
  OpenStack Object Storage (code-named Swift) is open source software for
  creating redundant, scalable object storage using clusters of standardized
  servers to store petabytes of accessible data. It is not a file system or
@@ -137,8 +152,9 @@
 
 Package: swift-container
 Architecture: all
-Depends: lsb-base (>= 3.0-6), swift, python-swift (=${binary:Version}), rsync, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Description: OpenStack Object Storage - container server
+Depends: python-swift (=${binary:Version}), rsync, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Provides: ${python:Provides}
+Description: distributed virtual object store - container server
  OpenStack Object Storage (code-named Swift) is open source software for
  creating redundant, scalable object storage using clusters of standardized
  servers to store petabytes of accessible data. It is not a file system or
@@ -162,8 +178,9 @@
 
 Package: swift-account
 Architecture: all
-Depends: lsb-base (>= 3.0-6), swift, python-swift (=${binary:Version}), rsync, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Description: OpenStack Object Storage - account server
+Depends: python-swift (=${binary:Version}), rsync, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Provides: ${python:Provides}
+Description: distributed virtual object store - account server
  OpenStack Object Storage (code-named Swift) is open source software for
  creating redundant, scalable object storage using clusters of standardized
  servers to store petabytes of accessible data. It is not a file system or
@@ -188,8 +205,8 @@
 Package: swift-doc
 Architecture: all
 Section: doc
-Depends: libjs-jquery, ${misc:Depends}, libjs-underscore
-Description: OpenStack Object Storage - documentation
+Depends: libjs-jquery, ${misc:Depends}
+Description: distributed virtual object store - documentation
  OpenStack Object Storage (code-named Swift) is open source software for
  creating redundant, scalable object storage using clusters of standardized
  servers to store petabytes of accessible data. It is not a file system or

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

%:
	dh $@ --with python2

# clean sphinx build output
override_dh_clean:
	dh_clean
	rm -rf swift.egg-info
	rm -rf doc/build/* swift.egg-info/SOURCES.txt
	rm -rf debian/*.upstart

# build with sphinx documentation
override_dh_auto_build:
	dh_auto_build
	mkdir -p doc/build
	python setup.py build_sphinx

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	nosetests test/functionalnosetests
endif

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

override_dh_install:
	dh_install --fail-missing --sourcedir=debian/tmp
	install -D -m 0640 $(CURDIR)/debian/account-server.conf $(CURDIR)/debian/swift-account/etc/swift/account-server.conf
	install -D -m 0640 $(CURDIR)/debian/container-server.conf $(CURDIR)/debian/swift-container/etc/swift/container-server.conf
	install -D -m 0640 $(CURDIR)/debian/object-server.conf $(CURDIR)/debian/swift-object/etc/swift/object-server.conf

override_dh_installinit:
	if dpkg-vendor  --derives-from ubuntu ; then \
			for i in debian/*.upstart.in ; do \
				MYPKG=`echo $$i | sed 's/.upstart.in//'` ; \
				cp $$MYPKG.upstart.in $$MYPKG.upstart ; \
			done ; \
	fi
	dh_installinit --no-start

	dh_installinit --no-start -pswift-container --name=swift-container-replicator
	dh_installinit --no-start -pswift-container --name=swift-container-auditor
	dh_installinit --no-start -pswift-container --name=swift-container-updater
	dh_installinit --no-start -pswift-account --name=swift-account-replicator
	dh_installinit --no-start -pswift-account --name=swift-account-auditor
	dh_installinit --no-start -pswift-account --name=swift-account-reaper
	dh_installinit --no-start -pswift-object --name=swift-object-replicator
	dh_installinit --no-start -pswift-object --name=swift-object-auditor
	dh_installinit --no-start -pswift-object --name=swift-object-updater

## swift 1.7.6

=== debian/changelog ===
swift (1.7.6-0ubuntu1) raring; urgency=low

  *  New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 28 Jan 2013 09:40:30 -0600

swift (1.7.5-0ubuntu1) raring; urgency=low

  * New upstream release.
  * debian/control: Dropped python-webob.
  * debian/swift.install: Add swift-bench-client.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 14 Nov 2012 12:11:47 -0600

## swift 1.8.0

=== debian/changelog ===
swift (1.8.0-0ubuntu1.3) raring-security; urgency=low

  * SECURITY UPDATE: Fix handling of DELETE obj reqs with old timestamp
    - debian/patches/CVE-2013-4155.patch: don't create tombstone files when
      a file with a newer timestamp exists
    - CVE-2013-4155
    - LP: #1196932

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 22 Oct 2013 16:09:03 -0500

swift (1.8.0-0ubuntu1.2) raring-security; urgency=low

  * SECURITY UPDATE: fix unchecked input in XML responses
    - debian/patches/CVE-2013-2161.patch: use saxutils.quoteattr() on account
      name
    - CVE-2013-2161
    - LP: #1183884

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 17 Jun 2013 14:31:56 -0500

swift (1.8.0-0ubuntu1) raring; urgency=low

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 04 Apr 2013 10:38:18 -0500

swift (1.8.0~rc2-0ubuntu1) raring; urgency=low

  * New usptream release candidate for grizzly.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 02 Apr 2013 09:06:48 -0500

swift (1.8.0~rc1-0ubuntu1) raring; urgency=low

  * New upstream release candidate for grizzly. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 20 Mar 2013 08:19:17 -0500

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
  python-all-dev (>= 2.6.6-3~),
  python-openssl,
  python-setuptools,
- python-webob,
  python-simplejson,
  python-xattr,
  python-netifaces,
@@ -38,7 +37,6 @@
  python-setuptools,
  python-paste,
  python-pastedeploy,
- python-webob (>= 0.9.7.1~hg20100111-1~racklabs1),
  python-simplejson,
  python-xattr,
  python-netifaces,

## swift 1.10.0~rc1

=== debian/changelog ===
swift (1.10.0~rc1-0ubuntu1) saucy; urgency=low

  * New upstream release candidate.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 09 Oct 2013 15:13:23 -0400

swift (1.9.1-0ubuntu3) saucy; urgency=low

  * d/python-swift.postinst: Allow swift user to write to /var/cache/swift,
    resolving repeated errors in swift syslog (LP: #1234657).

 -- James Page <james.page@ubuntu.com>  Fri, 04 Oct 2013 16:21:14 +0100

swift (1.9.1-0ubuntu2) saucy; urgency=low

  * d/control: Add missing dependency on python-dnspython >= 1.10.0.
  * d/control: Wrap and sort.

 -- James Page <james.page@ubuntu.com>  Wed, 25 Sep 2013 16:08:35 +0100

swift (1.9.1-0ubuntu1) saucy; urgency=low

  [ James Page ]
  * d/control: Update VCS fields for new branch locations.

  [ Chuck Short ]
  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 13 Aug 2013 10:37:13 -0400

swift (1.9.0-0ubuntu1) saucy; urgency=low

  [ Chuck Short ]
  * New upstream release.
  * debian/swift.install: Add swift-config.
  * debian/control: Nump standards version to 3.9.4
 
  [ Yolanda Robla ]
  * debian/tests: added autopkg tests

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 02 Jul 2013 10:26:07 -0500

=== debian/control ===
--- 
+++ 
@@ -3,45 +3,52 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Soren Hansen <soren@ubuntu.com>
-Uploaders: Monty Taylor <mordred@inaugust.com>,
+Uploaders:
+ Monty Taylor <mordred@inaugust.com>,
  Greg Holt <gholt@rackspace.com>,
  Jay Payne <letterj@racklabs.com>,
  Michael Barton <michael.barton@rackspace.com>,
  Thomas Goirand <zigo@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends:
+ debhelper (>= 7.0.50~),
  python-all-dev (>= 2.6.6-3~),
+ python-dnspython (>= 1.10.0),
+ python-eventlet (>= 0.9.8),
+ python-greenlet (>= 0.3.1),
+ python-mock,
+ python-netifaces,
+ python-nose,
  python-openssl,
+ python-paste,
+ python-pastedeploy,
+ python-setuptools,
+ python-simplejson,
+ python-sphinx (>= 1.0),
+ python-swiftclient,
+ python-xattr
+Standards-Version: 3.9.4
+Homepage: http://launchpad.net/swift
+Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/swift/havana/files
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/swift/havana
+XS-Testsuite: autopkgtest
+
+Package: python-swift
+Architecture: all
+Section: python
+Depends:
+ adduser,
+ python-dnspython (>= 1.10.0),
+ python-eventlet (>= 0.9.8),
+ python-greenlet (>= 0.3.1),
+ python-netifaces,
+ python-openssl,
+ python-paste,
+ python-pastedeploy,
  python-setuptools,
  python-simplejson,
  python-xattr,
- python-netifaces,
- python-greenlet (>= 0.3.1),
- python-eventlet (>= 0.9.8),
- python-mock,
- python-nose,
- python-paste,
- python-pastedeploy,
- python-sphinx (>= 1.0),
- python-swiftclient
-Standards-Version: 3.9.3
-Homepage: http://launchpad.net/swift
-Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/swift/essex
-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-server-dev/swift/essex
-
-
-Package: python-swift
-Architecture: all
-Section: python
-Depends: adduser, ${python:Depends}, ${misc:Depends},
- python-openssl,
- python-setuptools,
- python-paste,
- python-pastedeploy,
- python-simplejson,
- python-xattr,
- python-netifaces,
- python-greenlet (>= 0.3.1),
- python-eventlet (>= 0.9.8)
+ ${misc:Depends},
+ ${python:Depends}
 Provides: ${python:Provides}
 Description: distributed virtual object store - Python libraries
  OpenStack Object Storage (code-named Swift) is open source software for
@@ -68,7 +75,11 @@
 
 Package: swift
 Architecture: all
-Depends: python-swift (=${binary:Version}), ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ python-swift (=${binary:Version}),
+ ${misc:Depends},
+ ${python:Depends},
+ ${shlibs:Depends}
 Provides: ${python:Provides}
 Replaces: swift (<< 1.6.0-0ubuntu1)
 Breaks: swift (<< 1.6.0-0ubuntu1)
@@ -97,7 +108,11 @@
 
 Package: swift-proxy
 Architecture: all
-Depends: python-swift (=${binary:Version}), ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ python-swift (=${binary:Version}),
+ ${misc:Depends},
+ ${python:Depends},
+ ${shlibs:Depends}
 Provides: ${python:Provides}
 Description: distributed virtual object store - proxy server
  OpenStack Object Storage (code-named Swift) is open source software for
@@ -124,7 +139,12 @@
 
 Package: swift-object
 Architecture: all
-Depends: python-swift (=${binary:Version}), rsync, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ python-swift (=${binary:Version}),
+ rsync,
+ ${misc:Depends},
+ ${python:Depends},
+ ${shlibs:Depends}
 Provides: ${python:Provides}
 Description: distributed virtual object store - object server
  OpenStack Object Storage (code-named Swift) is open source software for
@@ -150,7 +170,12 @@
 
 Package: swift-container
 Architecture: all
-Depends: python-swift (=${binary:Version}), rsync, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ python-swift (=${binary:Version}),
+ rsync,
+ ${misc:Depends},
+ ${python:Depends},
+ ${shlibs:Depends}
 Provides: ${python:Provides}
 Description: distributed virtual object store - container server
  OpenStack Object Storage (code-named Swift) is open source software for
@@ -176,7 +201,12 @@
 
 Package: swift-account
 Architecture: all
-Depends: python-swift (=${binary:Version}), rsync, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ python-swift (=${binary:Version}),
+ rsync,
+ ${misc:Depends},
+ ${python:Depends},
+ ${shlibs:Depends}
 Provides: ${python:Provides}
 Description: distributed virtual object store - account server
  OpenStack Object Storage (code-named Swift) is open source software for

## swift 1.10.0

=== requirements.txt ===
pbr>=0.5.21,<1.0
dnspython>=1.9.4
eventlet>=0.9.15
greenlet>=0.3.1
netifaces>=0.5
pastedeploy>=1.3.3
simplejson>=2.0.9
xattr>=0.4
python-swiftclient

=== debian/changelog ===
swift (1.10.0-0ubuntu1.1~cloud0) precise-havana; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 07 May 2014 04:04:00 -0400

swift (1.10.0-0ubuntu1.1) saucy-security; urgency=medium

  * SECURITY UPDATE: timing side-channel attack in TempURL
    - debian/patches/CVE-2014-0006.patch: use constant time comparison in
      swift/common/middleware/tempurl.py.
    - CVE-2014-0006

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 14 Mar 2014 14:25:35 -0400

swift (1.10.0-0ubuntu1) saucy; urgency=low

  * New upstream release (LP: #1236462).

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 17 Oct 2013 10:26:18 -0400

## swift 1.13.1

=== requirements.txt ===
dnspython>=1.9.4
eventlet>=0.9.15
greenlet>=0.3.1
netifaces>=0.5
pastedeploy>=1.3.3
simplejson>=2.0.9
xattr>=0.4

=== debian/changelog ===
swift (1.13.1-0ubuntu1) trusty; urgency=medium

  * New upstream release (LP: #1299055). 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 17 Apr 2014 04:52:50 -0400

swift (1.13.1~rc2-0ubuntu1) trusty; urgency=medium

  [ Chuck Short ]
  * New upstream release candidate (LP: #1299055).

  [ James Page ]
  * d/control: Add appropriate Breaks/Replaces to support move of man pages
    between binary packages in 1.13.1~rc1-0ubuntu1 (LP: #1306241).

 -- James Page <james.page@ubuntu.com>  Mon, 14 Apr 2014 11:03:23 +0100

swift (1.13.1~rc1-0ubuntu2) trusty; urgency=medium

  * d/p/ring-perms.patch: Ensure that generated rings can be read by
    the swift user, fixing autopkgtest failure (LP: #1302700). 

 -- James Page <james.page@ubuntu.com>  Sun, 06 Apr 2014 21:10:51 +0100

swift (1.13.1~rc1-0ubuntu1) trusty; urgency=medium

  [ Chuck Short ]
  * Add new binaries:
    - d/swift-container.install: Add swift-container-info binary.
    - d/swift-account.install: Add swift-account-info binary.

  [ James Page ]
  * New upstream release candidate (LP: #1299055). 
  * d/rules: Tidy dh_clean override.
  * d/rules,swift-doc.docs: Re-enable documentation build.
  * d/*.manpages: Rejig manpage installs into correct packages.
  * d/container-server.conf: Add missing container-sync section
    (LP: #1290813).
  * d/*: Wrap-and-sort.

 -- James Page <james.page@ubuntu.com>  Fri, 04 Apr 2014 10:57:51 +0100

swift (1.13.0-0ubuntu1) trusty; urgency=medium

  [ Chuck Short ]
  * New upstream release.

  [ James Page ]
  * Add object-expirer package and associated configuration (LP: #1235495):
    - d/control: Add swift-object-expirer package, break/replace swift-object
      from earlier versions.
    - d/swift-object.install: Drop install of swift-object-expirer.
    - d/swift-object-expirer.{install,upstart}: Install swift-object-expirer
      and associated upstart configuration.
    - d/rules,object-expirer.conf: Provide basic object-expirer configuration.
    - debian/swift-object-expirer.docs: Add full example configuration to docs.
  * d/rules,swift-container.swift-container-sync.upstart: Add upstart
    configuration for swift-container-sync process (LP: #1250171).

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 06 Mar 2014 12:29:10 -0500

swift (1.12.0-0ubuntu1) trusty; urgency=medium

  * New upstream release.
  * debian/patches/fix-ubuntu-tests.patch: Rediffed.
  * debian/rules: Add pythonpath for tests.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 29 Jan 2014 09:14:25 -0500

swift (1.11.0-0ubuntu2) trusty; urgency=low

  * d/tests/swift-daemons: Use service command to restart daemons instead
    of directly using non-existent scripts in /etc/init.d.

 -- James Page <james.page@ubuntu.com>  Fri, 13 Dec 2013 09:14:19 +0000

swift (1.11.0-0ubuntu1) trusty; urgency=low

  [ Chuck Short ]
  * debian/control: open icehouse release.
  * debian/rules:
    - Fix doc installation.
    - Removed debian distribution checking.
  * Removed init scripts, they dont get installed anyways.
  * Renamed upstart.in to regular upstart jobs.
  * debian/swift-doc.docs: Drop doc/build/html.
  * debian/swift.install: Remove swift-bench and swift-bench-client, it has
    moved into its own project.
  * debian/control: Suggest swift-bench.
  * debian/fix-ubuntu-tests.patch: Disable tests that fail on buildds.

  [ James Page ]
  * d/rules: Don't clean debian/*.upstart; we need those now! 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 12 Dec 2013 10:50:46 -0500

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

%:
	dh $@ --with python2

# clean sphinx build output
override_dh_clean:
	dh_clean
	rm -rf doc/build

# build with sphinx documentation
override_dh_auto_build:
	mkdir -p doc/build
	python setup.py build_sphinx
	python setup.py build

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	PYTHONPATH=. nosetests test/unit
endif

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

override_dh_install:
	dh_install --fail-missing --sourcedir=debian/tmp
	install -D -m 0640 $(CURDIR)/debian/account-server.conf $(CURDIR)/debian/swift-account/etc/swift/account-server.conf
	install -D -m 0640 $(CURDIR)/debian/container-server.conf $(CURDIR)/debian/swift-container/etc/swift/container-server.conf
	install -D -m 0640 $(CURDIR)/debian/object-server.conf $(CURDIR)/debian/swift-object/etc/swift/object-server.conf
	install -D -m 0640 $(CURDIR)/debian/object-expirer.conf $(CURDIR)/debian/swift-object-expirer/etc/swift/object-expirer.conf

override_dh_installinit:
	dh_installinit --no-start
	dh_installinit --no-start -pswift-container --name=swift-container-replicator
	dh_installinit --no-start -pswift-container --name=swift-container-auditor
	dh_installinit --no-start -pswift-container --name=swift-container-updater
	dh_installinit --no-start -pswift-container --name=swift-container-sync
	dh_installinit --no-start -pswift-account --name=swift-account-replicator
	dh_installinit --no-start -pswift-account --name=swift-account-auditor
	dh_installinit --no-start -pswift-account --name=swift-account-reaper
	dh_installinit --no-start -pswift-object --name=swift-object-replicator
	dh_installinit --no-start -pswift-object --name=swift-object-auditor
	dh_installinit --no-start -pswift-object --name=swift-object-updater

=== debian/watch ===
version=3
opts="uversionmangle=s/%7E/~/" https://launchpad.net/swift/+download https://launchpad.net/swift/.*/.*/.*/swift-(.*)\.tar\.gz
http://tarballs.openstack.org/swift/ swift-(\d.*).tar.gz
